### Signal

# EBackend CollectionBackend::child-removed

#### Declaration

    void
    child_removed (
      ECollectionBackend* self,
      EBackendServerSideSource* child_source,
      gpointer user_data
    )

#### Description [src]

Emitted when an `EServerSideSource` that is a child of `backend`‘s collection `EBackend:source` is removed from `backend`‘s `ECollectionBackend:server`.

You can think of this as a filtered version of `ESourceRegistryServer`‘s `ESourceRegistryServer::source-removed` signal which only lets through sources relevant to `backend`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`child_source`

  Type: `EServerSideSource`

  The child `EServerSideSource` that got removed.

  The data is owned by the caller of the function.